- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPSHeader Class Reference

`#include <WPSHeader.h>`

## Public Member Functions
| WPSHeader (RVNGInputStreamPtr &input, RVNGInputStreamPtr &fileInput, uint8_t majorVersion, libwps::WPSKind kind=libwps::WPS_TEXT, libwps::WPSCreator creator=libwps::WPS_MSWORKS)
virtual | ~WPSHeader ()
RVNGInputStreamPtr & | getInput ()
RVNGInputStreamPtr & | getFileInput ()
libwps::WPSCreator | getCreator () const
void | setCreator (libwps::WPSCreator creator)
libwps::WPSKind | getKind () const
void | setKind (libwps::WPSKind kind)
bool | getNeedEncoding () const
void | setNeedEncoding (bool needEncoding)
uint8_t | getMajorVersion () const
void | setMajorVersion (uint8_t version)

## Static Public Member Functions
static WPSHeader * | constructHeader (RVNGInputStreamPtr &input)
| So far, we have identified three categories of Works documents. More...

## Private Member Functions
| WPSHeader (const WPSHeader &)
WPSHeader & | operator= (const WPSHeader &)

## Private Attributes
RVNGInputStreamPtr | m_input
RVNGInputStreamPtr | m_fileInput
uint8_t | m_majorVersion
libwps::WPSKind | m_kind
libwps::WPSCreator | m_creator
bool | m_needEncodingFlag
| a flag to know if we need to have the character set encoding More...

## Constructor & Destructor Documentation

WPSHeader::WPSHeader | ( | RVNGInputStreamPtr & | input,
|  | RVNGInputStreamPtr & | fileInput,
|  | uint8_t | majorVersion,
|  | libwps::WPSKind | kind = `libwps::WPS_TEXT`,
|  | libwps::WPSCreator | creator = `libwps::WPS_MSWORKS`
| ) |  |

Referenced by constructHeader(), and setMajorVersion().

WPSHeader::~WPSHeader | ( |  | ) |
| virtual

WPSHeader::WPSHeader | ( | const WPSHeader & |  | ) |
| private

## Member Function Documentation

WPSHeader * WPSHeader::constructHeader | ( | RVNGInputStreamPtr & | input | ) |
| static

So far, we have identified three categories of Works documents.

Works documents versions 3 and later use a MS OLE container, so we detect their type by checking for OLE stream names. Works version 2 is like Works 3 without OLE, so those two types use the same parser.

Referenced by libwps::WPSDocument::isFileFormatSupported(), libwps::WPSDocument::parse(), and WPSOLEParser::readMN0AndCheckWKS().

libwps::WPSCreator WPSHeader::getCreator | ( |  | ) | const
| inline

RVNGInputStreamPtr& WPSHeader::getFileInput | ( |  | ) |
| inline

RVNGInputStreamPtr& WPSHeader::getInput | ( |  | ) |
| inline

libwps::WPSKind WPSHeader::getKind | ( |  | ) | const
| inline

Referenced by WPSOLEParser::readMN0AndCheckWKS().

uint8_t WPSHeader::getMajorVersion | ( |  | ) | const
| inline

bool WPSHeader::getNeedEncoding | ( |  | ) | const
| inline

WPSHeader& WPSHeader::operator= | ( | const WPSHeader & |  | ) |
| private

Referenced by setMajorVersion().

void WPSHeader::setCreator | ( | libwps::WPSCreator | creator | ) |
| inline

Referenced by QuattroParser::checkHeader(), WKS4Parser::checkHeader(), and LotusParser::checkHeader().

void WPSHeader::setKind | ( | libwps::WPSKind | kind | ) |
| inline

Referenced by QuattroParser::checkHeader(), WKS4Parser::checkHeader(), and LotusParser::checkHeader().

void WPSHeader::setMajorVersion | ( | uint8_t | version | ) |
| inline

Referenced by DosWordParser::checkHeader(), WKS4Parser::checkHeader(), QuattroParser::checkHeader(), LotusParser::checkHeader(), and WPS4Parser::checkHeader().

void WPSHeader::setNeedEncoding | ( | bool | needEncoding | ) |
| inline

Referenced by DosWordParser::checkHeader(), WKS4Parser::checkHeader(), QuattroParser::checkHeader(), LotusParser::checkHeader(), and WPS4Parser::checkHeader().

## Member Data Documentation

libwps::WPSCreator WPSHeader::m_creator
| private

Referenced by getCreator(), and setCreator().

RVNGInputStreamPtr WPSHeader::m_fileInput
| private

Referenced by getFileInput().

RVNGInputStreamPtr WPSHeader::m_input
| private

Referenced by getInput().

libwps::WPSKind WPSHeader::m_kind
| private

Referenced by getKind(), and setKind().

uint8_t WPSHeader::m_majorVersion
| private

Referenced by getMajorVersion(), and setMajorVersion().

bool WPSHeader::m_needEncodingFlag
| private

a flag to know if we need to have the character set encoding

Referenced by getNeedEncoding(), and setNeedEncoding().

The documentation for this class was generated from the following files:

- WPSHeader.h
- WPSHeader.cpp